petsc-3.4.2 2013-07-02

# SNESGetLagJacobian

Indicates how often the Jacobian is rebuilt. See SNESGetLagPreconditioner() to determine when the preconditioner is rebuilt

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetLagJacobian(SNES snes,PetscInt *lag)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

lag --1 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within a single nonlinear solve, 2 means every second time the Jacobian is built etc.

### Options Database Keys

-snes_lag_jacobian <lag> - Notes: The default is 1 The jacobian is ALWAYS built in the first iteration of a nonlinear solve unless lag is -1

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance(), SNESSetLagJacobian(), SNESSetLagPreconditioner(), SNESGetLagPreconditioner()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages